org.bdgenomics.adam.projections

# VariantCallingAnnotationsField

#### object VariantCallingAnnotationsField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantCallingAnnotationsField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### val alleleCountMLE: SchemaVal

12. #### val alleleFrequencyMLE: SchemaVal

13. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### val baseQRankSum: SchemaVal

16. #### val clippingRankSum: SchemaVal

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### val culprit: SchemaVal

19. #### val downsampled: SchemaVal

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### val haplotypeScore: SchemaVal

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### val inbreedingCoefficient: SchemaVal

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### val mapq0Reads: SchemaVal

29. #### final def maxId: Int

    Definition Classes
      Enumeration

30. #### val mqRankSum: SchemaVal

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

33. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### val readDepth: SchemaVal

37. #### val readPositionRankSum: SchemaVal

38. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

39. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

40. #### val rmsMapQ: SchemaVal

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

43. #### val usedForNegativeTrainingSet: SchemaVal

44. #### val usedForPositiveTrainingSet: SchemaVal

45. #### def values: ValueSet

    Definition Classes
      Enumeration

46. #### val variantCallErrorProbability: SchemaVal

47. #### val variantFilters: SchemaVal

48. #### val variantIsPassing: SchemaVal

49. #### val variantQualityByDepth: SchemaVal

50. #### val vqslod: SchemaVal

51. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped